Package mvpa :: Package clfs :: Module meta :: Class MaximalVote

[hide private]
[frames] | no frames]

# Class MaximalVote

source code

Provides a decision using maximal vote rule

Nested Classes | [hide private]

Inherited from `misc.state.ClassWithCollections`: `__metaclass__`

Instance Methods | [hide private]

__init__(self) XXX Might get a parameter to use raw decision values if voting is not unambigous (ie two classes have equal number of votes | source code

__call__(self, clfs, dataset) Actuall callable - perform voting | source code

Inherited from `PredictionsCombiner`: `train` Inherited from `misc.state.ClassWithCollections`: `__getattribute__`, `__new__`, `__repr__`, `__setattr__`, `__str__`, `reset` Inherited from `object`: `__delattr__`, `__format__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| predictions = `StateVariable(enabled= True, doc= "Voted predict`...``
| all_label_counts = `StateVariable(enabled= False, doc= "Counts `...``
Inherited from `misc.state.ClassWithCollections`: `_DEV__doc__`, `descr`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self)
(Constructor)

source code

XXX Might get a parameter to use raw decision values if voting is not unambigous (ie two classes have equal number of votes

Overrides: object.__init__

### __call__(self, clfs, dataset)
(Call operator)

source code

Actuall callable - perform voting

Extended functionality which might not be needed actually: Since BinaryClassifier might return a list of possible predictions (not just a single one), we should consider all of those

MaximalVote doesn't care about dataset itself

Parameters:
  - `clfs` - List of classifiers to combine. Has to be classifiers (not pure predictions), since combiner might use some other state variables (value's) instead of pure prediction's
Overrides: PredictionsCombiner.__call__

Class Variable Details | [hide private]

### predictions

Value:

      StateVariable(enabled= True, doc= "Voted predictions")

### all_label_counts

Value:

      StateVariable(enabled= False, doc= "Counts across classifiers for each
       label/sample")